<?

// ce cron, exécuté toutes les minutes, supprime les invitations anciennes supérieure à 30s
// attention, il faudra obligatoirement remettre à jour la variable dernier_time
// dans la partie courante à chaque coup joué !

include 'connect_sql.php';
include 'membres.php';

function supprimer_les_invitations_ou_parties_terminees_de_la_bd_et_les_fichiers_du_serveur() {
global $time;
	
	$num = requete_sql("SELECT id_partie FROM parties WHERE (({$time}-dernier_time > 30) and (partie_en_cours = 0)) or (({$time}-dernier_time > 600) and (partie_en_cours = 1))");
	
	if ($num) {
		
			for ($i = 1; $i <= $num['count']; $i++) {
				
						$id_partie = $num[$i]['id_partie'];					
						
						include('delete_file_of_bd_and_server.php');
			}
	}
}

$time = time();

supprimer_les_invitations_ou_parties_terminees_de_la_bd_et_les_fichiers_du_serveur();

requete_sql("DELETE FROM calculer_elo WHERE ({$time}-dernier_time > 15)");

requete_sql("DELETE FROM recommencer WHERE ({$time}-dernier_time > 15)");


// simule le REJOINDRE PARTIE pour toutes les invitations des humains contre les ordis...

$num = requete_sql("SELECT id_membre FROM membres WHERE (ordi = 1)");

for ($i = 1; $i <= $num['count']; $i++) {
	
		$id = $num[$i]['id_membre'];
		
		$partie_en_cours = retourner_partie_invitee($id);
		
		if ($partie_en_cours) {
			
				for ($j = 1; $j <= $partie_en_cours['count']; $j++) {

						$get_ordi = 1;
						$id_inviteur = $partie_en_cours[$j]['id_membre_blanc'];
						
						$get_nom_partie = retourner_id_partie_invitee($id_inviteur, $id);
						
						//echo "id_ordi = {$id} et id_inviteur_humain = {$id_inviteur} get_nom_partie : {$get_nom_partie} PREMIER INIT <br>";
						
						include("premier_init.php");
				}
		}
}

?>